package net.wanji.opt.controllerv2.report.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CrossRunStatePeakTimeSpanAnalysisDataVO {

    @ApiModelProperty(value = "星期", example = "周一",position = 0)
    private String weekName;

    @ApiModelProperty(value = "本周早高峰时段", example = "7:00~8:00",position = 1)
    private String thisWeekAmPeakTimeSpan;
    @ApiModelProperty(value = "上周早高峰时段", example = "7:00~8:00",position = 2)
    private String lastWeekAmPeakTimeSpan;

    @ApiModelProperty(value = "本周早高峰持续时长（min）", example = "30",position = 3)
    private String thisWeekAmPeakDuration;
    @ApiModelProperty(value = "上周早高峰持续时长（min）", example = "30",position = 4)
    private String lastWeekAmPeakDuration;

    @ApiModelProperty(value = "本周晚高峰时段", example = "7:00~8:00",position = 5)
    private String thisWeekPmPeakTimeSpan;
    @ApiModelProperty(value = "上周晚高峰时段", example = "7:00~8:00",position = 6)
    private String lastWeekPmPeakTimeSpan;

    @ApiModelProperty(value = "本周晚高峰持续时长（min）", example = "30",position = 7)
    private String thisWeekPmPeakDuration;
    @ApiModelProperty(value = "上周晚高峰持续时长（min）", example = "30",position = 8)
    private String lastWeekPmPeakDuration;

}