package net.wanji.opt.controllerv2.report.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ImportCrossReportAnalysisDataVO {

    @ApiModelProperty(value = "星期", example = "星期一", position = 0)
    private String weekName;

    @ApiModelProperty(value = "策略优化时段", example = "7:35~8:40", position = 1)
    private String optimizeTimeSpan;

    @ApiModelProperty(value = "本周优化次数与问题次数比", example = "20/100", position = 2)
    private String thisWeekCountRadio;
    @ApiModelProperty(value = "上周优化次数与问题次数比", example = "20/100", position = 3)
    private String lastWeekCountRadio;

    @ApiModelProperty(value = "本周通行能力", example = "3466", position = 4)
    private Integer thisWeekCapacity;
    @ApiModelProperty(value = "上周通行能力", example = "5600", position = 5)
    private Integer lastWeekCapacity;

    @ApiModelProperty(value = "本周停车次数", example = "20", position = 6)
    private Double thisWeekStopTimes;
    @ApiModelProperty(value = "上周停车次数", example = "30", position = 7)
    private Double lastWeekStopTimes;

    @ApiModelProperty(value = "本周延误时间", example = "30.5", position = 8)
    private Double thisWeekDelayTime;
    @ApiModelProperty(value = "上周延误时间", example = "30.2", position = 9)
    private Double lastWeekDelayTime;

    @ApiModelProperty(value = "本周最大排队长度", example = "6.5", position = 10)
    private Double thisWeekMaxQueueLength;
    @ApiModelProperty(value = "上周最大排队长度", example = "-1.5%", position = 11)
    private Double lastWeekMaxQueueLength;

}